this.name			= "IronHide Armour Script"; 
this.author			= "Thargoid"; 
this.copyright		= "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description	= "Script for IronHide armour"; 
this.version		= "2.00"; 

this.startUp = function()
	{
	if(!missionVariables.ironHide_percentage) { missionVariables.ironHide_percentage = 0; }
	if(!missionVariables.ironHide_milFlag) { missionVariables.ironHide_milFlag = 0; }
	if(!missionVariables.ironHide_strength) {
		if(missionVariables.ironHide_milFlag == 0) { missionVariables.ironHide_strength = 200; }
		else { missionVariables.ironHide_strength = 400; }
		}
	// below are how much to charge per percentage of armour to be repaired, depending on cost price of full new set	
	this.ironHideFactor = EquipmentInfo.infoForKey("EQ_IRONHIDE").price / 1000;	
	}
	
this.shipDockedWithStation = function(station)
	{
	this.ironHideFactor = EquipmentInfo.infoForKey("EQ_IRONHIDE").price / 1000;	
	}	
	
this.shipTakingDamage = function(amount, fromEntity, damageType)	
	{		
	if(amount && amount > 0 && player.ship.equipmentStatus("EQ_IRONHIDE") === "EQUIPMENT_OK" && missionVariables.ironHide_percentage <= 0) 
		{ // if the armour is destroyed by damage
		player.ship.removeEquipment("EQ_IRONHIDE");
		missionVariables.ironHide_percentage = 0;
		missionVariables.ironHide_milFlag = 0;
		player.consoleMessage("IronHide armour has been destroyed!", 6);
		mission.setInstructionsKey(null);
		}
		
	if(amount && amount > 0 && player.ship.energy < player.ship.maxEnergy)
		{ // if we have energy damage
		this.shield = missionVariables.ironHide_strength * (missionVariables.ironHide_percentage / 100);
		if(amount < this.shield)
			{
			player.ship.energy = player.ship.maxEnergy;
			missionVariables.ironHide_percentage -= Math.floor(100 * (amount / missionVariables.ironHide_strength));
			}
		else	
			{
			player.ship.energy += this.shield;
			missionVariables.ironHide_percentage = 0;
			}
		}
	}
	
this.guiScreenWillChange = function(to, from)
	{
	if(to === "GUI_SCREEN_MANIFEST")
		{		
		if(player.ship.equipmentStatus("EQ_IRONHIDE") === "EQUIPMENT_OK")
			{ mission.setInstructionsKey("ironHide_short"); }
		else
			{ mission.setInstructionsKey(null); }
		}	
	}
	
this.playerBoughtEquipment = function(equipment)
	{
	switch(equipment)
		{
		case("EQ_IRONHIDE"):
			{
			missionVariables.ironHide_percentage = 100;
			missionVariables.ironHide_strength = EquipmentInfo.infoForKey(equipment).scriptInfo.ironHideStrength;		
			return;
			break;
			}
			
		case("EQ_IRONHIDE_MIL"):
			{
			missionVariables.ironHide_milFlag = 1;
			missionVariables.ironHide_strength = EquipmentInfo.infoForKey(equipment).scriptInfo.ironHideStrength;
			player.ship.removeEquipment("EQ_IRONHIDE_MIL");		
			return;
			break;
			}	

		
		case("EQ_IRONHIDE_REPAIR"):
			{
			missionVariables.ironHide_cost = (100 - missionVariables.ironHide_percentage) * this.ironHideFactor;
			if(missionVariables.ironHide_mil == 1)
				{
				missionVariables.ironHide_cost *= 1.5;
				}
			player.ship.removeEquipment("EQ_IRONHIDE_REPAIR");
			if(player.credits < missionVariables.ironHide_cost)
				{
				mission.runScreen({title: "Too Expensive", messageKey:"ironHide_tooExpensive"});
				}
			else
				{
				mission.runScreen({title: "Armour Repair", messageKey:"ironHide_repair", choicesKey:"ironHide_choices"}, this.choice);
				}
			return;
			break;
			}

	
		case("EQ_RENOVATION"):
			{
			if(player.ship.equipmentStatus("EQ_IRONHIDE") === "EQUIPMENT_UNAVAILABLE" || missionVariables.ironHide_percentage == 100)
				{ //  if we don't have armour or it's full-strength, no repair needed during renovations
				return;
				break;
				}
				
			if(player.ship.equipmentStatus("EQ_IRONHIDE") === "EQUIPMENT_OK" && missionVariables.ironHide_percentage <100)
				{
				missionVariables.ironHide_cost = (100 - missionVariables.ironHide_percentage) * this.ironHideFactor;
				if(missionVariables.ironHide_milFlag == 1)
					{
					missionVariables.ironHide_cost *= 1.5;
					}
				}

			if(missionVariables.ironHide_cost > 0 && missionVariables.ironHide_cost < player.credits)
				{
				mission.runScreen({title: "Armour Repair", messageKey:"ironHide_renovationRepair", choicesKey:"ironHide_renovationChoices"}, this.choice);
				}
			break;	
			}
		}
	}

this.choice = function(choice)
	{
	switch(choice)
		{
		case "IRONHIDE_1_ACCEPT":
			{
			player.credits -= missionVariables.ironHide_cost;
			missionVariables.ironHide_percentage = 100;
			break;
			}

		case "IRONHIDE_1_RENOVATION_ACCEPT":
			{
			player.credits -= missionVariables.ironHide_cost;
			missionVariables.ironHide_percentage = 100;
			break;
			}	
		case "IRONHIDE_2_REJECT":
			{
			break;
			}
		}
	}	
	
this.playerBoughtNewShip = this.shipLaunchedEscapePod = function()
	{ // reset everything for a new ship, as armour isn't transferrable or covered by insurance
	player.ship.removeEquipment("EQ_IRONHIDE");
	missionVariables.ironHide_percentage = 0;
	missionVariables.ironHide_milFlag = 0;
	mission.setInstructionsKey(null);
	}
	
this.equipmentDamaged = function(equipment)
	{// as it doesn't make sense for the armour to be inoperable-damaged
	if(equipment === "EQ_IRONHIDE")
		{
		player.ship.setEquipmentStatus("EQ_IRONHIDE","EQUIPMENT_OK"); 
		}
	}	
